LINUX.ORG.RU
ФорумAdmin

spamassassin


0

0

подружил spamassassin с postfix все нормально все работает почта ходит и выходит :)

но блин - обучил уже этот антиспамовский фильтр, в blacklist добавил домены с оторых шлется рассылся - спам прет и все - не проверяет на спам...

в чем прикол

вот конфиг

trusted_networks 192.168/16 127/8 # all in 192.168.*.* and 127.*.*.* trusted_networks 127. # all in 127.*.*.*

whitelist_from localhost

blacklist_from *netvision.net.il blacklist_from *@netvision.net.il blacklist_from *covad.net blacklist_from *@covad.net

rewrite_subject 1 subject_tag ***SPAM***_HITS*** required_hits 5.0 report_safe 0 use_terse_report 0 use_bayes 1 bayes_auto_learn 1 bayes_auto_learn_threshold_nonspam 0.1 bayes_auto_learn_threshold_spam 12.0 auto_learn 1 # skip_rbl_checks 0 use_razor2 0 use_dcc 0 use_pyzor 0 rewrite_header 1 always_add_report 1 use_auto_whitelist 1 auto_whitelist_path /var/spool/filter/.spamassassin/auto_whitelist bayes_path /var/spool/filter/.spamassassin/bayes ok_languages ru en ok_locales ru en report_charset koi8-r lang ru

# Optional Score Increases score DCC_CHECK 4.0 score RAZOR2_CHECK 2.5 score BYES_99 4.3 score BYES_90 3.5 score BYES_80 3.0

#Rules for all senders score HEADER_8BITS 0 score HTML_COMMENT_8BITS 0 score SUBJ_FULL_OF_8BITS 0

score UPPERCASE_25_50 0.5 score UPPERCASE_50_75 0.5 score UPPERCASE_75_100 0.5

#General rules for html-based mail & html-based bulk mail score HTML_MESSAGE 1.8 #General rules for html-based bulk messages score MIME_HTML_ONLY 2.1

#Ordinary rules for spamers & internet via e-mail #& bulk mail score HTML_FONTCOLOR_RED 2.4 score HTML_FONTCOLOR_BLUE 1.1 score HTML_FONTCOLOR_GREEN 2.0 score HTML_FONTCOLOR_GRAY 1.4 score HTML_FONTCOLOR_UNSAFE 0.5 score HTML_FONTCOLOR_UNKNOWN 2.7 score HTML_FONT_BIG 0.6 score HTML_FONT_INVISIBLE 1.2 score LINES_OF_YELLING 0.5 score LINES_OF_YELLING_2 0.6

score MAILTO_WITH_SUBJ 1.0 score EXTRA_MPART_TYPE 0.9 score CLICK_BELOW 0.6 score HTML_LINK_CLICK_HERE 0.5 score NO_REAL_NAME 0.8 score HTML_COMMENT_RATIO 0.5

#Very strong rules for spamers score DATE_IN_FUTURE_12_24 5.0 score DATE_IN_FUTURE_06_12 5.0 score DATE_IN_FUTURE_03_06 5.0 score MIME_HTML_NO_CHARSET 5.0 score DATE_IN_PAST_96_XX 5.0 score DATE_IN_PAST_03_06 5.0 score DATE_IN_PAST_12_24 5.0 score INVALID_DATE 5.0 score HTML_TITLE_UNTITLED 5.0 score MISSING_MIMEOLE 5.0 score FORGED_HOTMAIL_RCVD 5.0 score RCVD_FAKE_HELO_DOTCOM 5.0 score RCVD_FAKE_HELO_DOTCOM_2 5.0 score MIME_BOUND_NEXPART 5.0 score FROM_ILLEGAL_CHARS 1.5 score HEAD_ILLEGAL_CHARS 1.5 score SUBJ_ILLEGAL_CHARS 1.5

#Use valid reference headers score REFERENCES 0.0 score IN_REP_TO 0.0

# Scores body CHRISTMAS /Christmas/i score CHRISTMAS 2 body TAMOJNA /таможенное оформление/i score TAMOJNA 2

да и в заголовке пписьма нет строк, что письмо прошло проверку

подскажите пожалуйста в чем дело (((

настройки postfix

spam unix - n n - - pipe flags=R user=spamd argv=/etc/rc.d/rc.spam -f ${sender} -- ${recipient}

содержимое rc.spam

#!/bin/sh

INSPECT_DIR=/var/spool/filter SENDMAIL="/usr/sbin/sendmail -bi" SPAMASSASSIN=/usr/local/bin/spamassassin

# Exit codes from <sysexits.h> EX_TEMPFAIL=75 EX_UNAVAILABLE=69

cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

# Clean up when done or when aborting. trap "rm -f in.$$; rm -f out.$$" 0 1 2 3 15

cat | $SPAMASSASSIN -P > out.$$ || { echo Message content rejected; exit $EX_UNAVAILABLE; }

$SENDMAIL "$@" < out.$$

exit $?

Re: spamassassin

подружил spamassassin с postfix все нормально все работает почта ходит и выходит :)

но блин - обучил уже этот антиспамовский фильтр, в blacklist добавил домены с оторых шлется рассылся - спам прет и все - не проверяет на спам...

в чем прикол

вот конфиг

trusted_networks 192.168/16 127/8 # all in 192.168.*.* and 127.*.*.*

trusted_networks 127. # all in 127.*.*.*

whitelist_from localhost

blacklist_from *netvision.net.il

blacklist_from *@netvision.net.il

blacklist_from *covad.net

blacklist_from *@covad.net

rewrite_subject 1

subject_tag ***SPAM***_HITS***

required_hits 5.0

report_safe 0

use_terse_report 0

use_bayes 1

bayes_auto_learn 1

bayes_auto_learn_threshold_nonspam 0.1

bayes_auto_learn_threshold_spam 12.0

auto_learn 1

# skip_rbl_checks 0

use_razor2 0

use_dcc 0

use_pyzor 0

rewrite_header 1

always_add_report 1

use_auto_whitelist 1

auto_whitelist_path /var/spool/filter/.spamassassin/auto_whitelist

bayes_path /var/spool/filter/.spamassassin/bayes

ok_languages ru en

ok_locales ru en

report_charset koi8-r

lang ru

# Optional Score Increases

score DCC_CHECK 4.0

score RAZOR2_CHECK 2.5

score BYES_99 4.3

score BYES_90 3.5

score BYES_80 3.0

#Rules for all senders

score HEADER_8BITS 0

score HTML_COMMENT_8BITS 0

score SUBJ_FULL_OF_8BITS 0

score UPPERCASE_25_50 0.5

score UPPERCASE_50_75 0.5

score UPPERCASE_75_100 0.5

score HTML_MESSAGE 1.8

score MIME_HTML_ONLY 2.1

score HTML_FONTCOLOR_RED 2.4

score HTML_FONTCOLOR_BLUE 1.1

score HTML_FONTCOLOR_GREEN 2.0

score HTML_FONTCOLOR_GRAY 1.4

score HTML_FONTCOLOR_UNSAFE 0.5

score HTML_FONTCOLOR_UNKNOWN 2.7

score HTML_FONT_BIG 0.6

score HTML_FONT_INVISIBLE 1.2

score LINES_OF_YELLING 0.5

score LINES_OF_YELLING_2 0.6

score MAILTO_WITH_SUBJ 1.0

score EXTRA_MPART_TYPE 0.9

score CLICK_BELOW 0.6

score HTML_LINK_CLICK_HERE 0.5

score NO_REAL_NAME 0.8

score HTML_COMMENT_RATIO 0.5

score DATE_IN_FUTURE_12_24 5.0

score DATE_IN_FUTURE_06_12 5.0

score DATE_IN_FUTURE_03_06 5.0

score MIME_HTML_NO_CHARSET 5.0

score DATE_IN_PAST_96_XX 5.0

score DATE_IN_PAST_03_06 5.0

score DATE_IN_PAST_12_24 5.0

score INVALID_DATE 5.0

score HTML_TITLE_UNTITLED 5.0

score MISSING_MIMEOLE 5.0

score FORGED_HOTMAIL_RCVD 5.0

score RCVD_FAKE_HELO_DOTCOM 5.0

score RCVD_FAKE_HELO_DOTCOM_2 5.0

score MIME_BOUND_NEXPART 5.0

score FROM_ILLEGAL_CHARS 1.5

score HEAD_ILLEGAL_CHARS 1.5

score SUBJ_ILLEGAL_CHARS 1.5

score REFERENCES 0.0

score IN_REP_TO 0.0

body CHRISTMAS /Christmas/i

score CHRISTMAS 2

body TAMOJNA /таможенное оформление/i

score TAMOJNA 2

да и в заголовке пписьма нет строк, что письмо прошло проверку

подскажите пожалуйста в чем дело (((

настройки postfix

spam unix - n n - - pipe flags=R user=spamd argv=/etc/rc.d/rc.spam -f ${sender} -- ${recipient}

содержимое rc.spam

#!/bin/sh

INSPECT_DIR=/var/spool/filter

SENDMAIL="/usr/sbin/sendmail -bi"

SPAMASSASSIN=/usr/local/bin/spamassassin

# Exit codes from <sysexits.h>

EX_TEMPFAIL=75

EX_UNAVAILABLE=69

cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

# Clean up when done or when aborting.

trap "rm -f in.$$; rm -f out.$$" 0 1 2 3 15

cat | $SPAMASSASSIN -P > out.$$ || { echo Message content rejected; exit $EX_UNAVAILABLE; }

$SENDMAIL "$@" < out.$$

exit $?

vscorpion ()

Re: spamassassin

required_hits попробуй 0.0 поставить чтобы все письма метил кроме отрицательных. для проверки запускай spamassassin врукопашную а лучше spamc если spamd запущен

что еще за BYES? вообще не надо трогать эти scores их по уму выставляли

домашний дир пользователя spamd?

anonymous ()
Ответ на: Re: spamassassin от anonymous

Re: Re: spamassassin

закоментировал все score

ладно вопрос такой как сделать чтобы кидать помеченные письма spam в отделюную папку и ли в отдельный почтовый ящик...и также подозрительные

vscorpion ()
Ответ на: Re: spamassassin от anonymous

Re: Re: spamassassin

Starting SpamAssassin Mail Filter Daemon: trying to connect to syslog/unix...

no error connecting to syslog/unix

logging enabled:

facility: mail

socket: unix

output: syslog

creating INET socket:

Listen: 128

LocalAddr: 127.0.0.1

LocalPort: 783

Proto: 6

ReuseAddr: 1

Type: 1

debug: SpamAssassin version 3.0.0

debug: Score set 0 chosen.

spamd.

и вообче как японял из этого score =0 он вообче не включает базы (( когда он включает score = 2 или 3

vscorpion ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.